Opened 3 years ago

Closed 3 years ago

Last modified 5 weeks ago

#879 closed defect (not broken)

Wired net in Tapa Tower not responding to V4 DHCP requests

Reported by: mundy@… Owned by: jim@…
Priority: tbd Milestone: ietf-091
Component: network Keywords:
Cc: My Current Location:
My MAC Address: My OS:

Description

Hi good hoc folks,

My room is on the 14th floor of the Tapa tower and IP-V4 DHCP on the wired network does not seem to be working.  I'm getting a V6 addresses and DNS servers assigned but nothing for V4.  looking at the interface with tcpdump seems to confirm the absence of V4.

BTW, I'm using an 11" MacBook Air running 10.8.5.

Russ Mundy


Change history (17)

comment:1 Changed 3 years ago by llynch@…

Component: incomingnetwork
Owner: changed from llynch@… to nkukich@…
Status: newassigned
Type: requestdefect

on the wired side -

comment:2 in reply to:  description Changed 3 years ago by Clemens Schrimpe

Hi there ...

what is the IPv6 address you get assigned? And while we're at it: What's your MAC address?

comment:3 Changed 3 years ago by Clemens Schrimpe

Owner: changed from nkukich@… to Clemens Schrimpe
Status: assignedaccepted

comment:4 Changed 3 years ago by mundy@…

Hi - sorry for the delay but I just returned to my room a few minutes ago.  I think that the answers to the questions are provided by the ifconfig output below.  
The wired interface is en1.

Russ

On Nov 10, 2014, at 5:32 PM, IETF Meeting/NOC <tickets@meeting.ietf.org> wrote:

> #879: Wired net in Tapa Tower not responding to V4 DHCP requests
> --------------------------+---------------------------------
>      Reporter:  mundy@…  |                Owner:  nkukich@…
>          Type:  defect   |               Status:  assigned
>      Priority:  tbd      |            Milestone:  ietf-91
>     Component:  network  |           Resolution:
>      Keywords:           |  My Current Location:
> My MAC  Address:          |                My OS:
> --------------------------+---------------------------------
> 
> Comment (by csch@…):
> 
> Hi there ...
> 
> what is the IPv6 address you get assigned? And while we're at it: What's
> your MAC address?
> 
> --
> Ticket URL: <https://tickets.meeting.ietf.org/ticket/879#comment:2>
> IETF Meeting/NOC <https://tickets.meeting.ietf.org>
> IETF Meeting - NOC pages

LittleAir:bin mundy$ ifconfig
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> mtu 16384
	options=3<RXCSUM,TXCSUM>
	inet6 fe80::1%lo0 prefixlen 64 scopeid 0x1 
	inet 127.0.0.1 netmask 0xff000000 
	inet6 ::1 prefixlen 128 
	inet 127.94.0.2 netmask 0xff000000 
	inet 127.94.0.1 netmask 0xff000000 
gif0: flags=8010<POINTOPOINT,MULTICAST> mtu 1280
stf0: flags=0<> mtu 1280
en0: flags=8823<UP,BROADCAST,SMART,SIMPLEX,MULTICAST> mtu 1500
	ether 94:94:26:04:f8:8a 
	media: autoselect (<unknown type>)
	status: inactive
p2p0: flags=8802<BROADCAST,SIMPLEX,MULTICAST> mtu 2304
	ether 06:94:26:04:f8:8a 
	media: autoselect
	status: inactive
en1: flags=8863<UP,BROADCAST,SMART,RUNNING,SIMPLEX,MULTICAST> mtu 1500
	options=4<VLAN_MTU>
	ether 20:9a:dd:41:13:94 
	inet6 fe80::229a:ddff:fe41:1394%en1 prefixlen 64 scopeid 0x6 
	inet6 2001:67c:370:144:229a:ddff:fe41:1394 prefixlen 64 autoconf 
	inet6 2001:67c:370:144:90d5:5096:60e2:888a prefixlen 64 autoconf temporary 
	inet 169.254.66.56 netmask 0xffff0000 broadcast 169.254.255.255
	media: autoselect (100baseTX <full-duplex,flow-control>)
	status: active
LittleAir:bin mundy$ 

--------------------



comment:5 Changed 3 years ago by mundy@…

It looks like there is some sort of problem between my laptop and the V4 DHCP server since I connected my Airport Express to the wired net and it works just fine.

I did a bit more experimenting after the Airport Express came up properly and moved the ethernet wire back to the MBA to see if it got a DHCP assignment - it did not.  I then reconnected the Airport Express and DHCP assignment continued to work fine.  I made a copy of the ip, net mask & gateway from the Express, moved the cable back to the MBA and manually entered ip, etc. into the MBA.  With the manual configuration of the MBA, I was able to pass traffic just fine.  Thus, I concluded that there is some sort of problem between the V4 DHCP server & my MBA.

I'm fine with closing the ticket but wanted to let you know what I'd found.

Thanks for your quick response

Russ


On Nov 10, 2014, at 10:50 PM, "IETF Meeting/NOC" <tickets@meeting.ietf.org> wrote:

> #879: Wired net in Tapa Tower not responding to V4 DHCP requests
> --------------------------+--------------------------------
>      Reporter:  mundy@…  |                Owner:  csch@…
>          Type:  defect   |               Status:  accepted
>      Priority:  tbd      |            Milestone:  ietf-91
>     Component:  network  |           Resolution:
>      Keywords:           |  My Current Location:
> My MAC  Address:          |                My OS:
> --------------------------+--------------------------------
> 
> Comment (by mundy@…):
> 
> {{{
> Hi - sorry for the delay but I just returned to my room a few minutes ago.
> I think that the answers to the questions are provided by the ifconfig
> output below.
> The wired interface is en1.
> 
> Russ
> 
> On Nov 10, 2014, at 5:32 PM, IETF Meeting/NOC <tickets@meeting.ietf.org>
> wrote:
> 
>> #879: Wired net in Tapa Tower not responding to V4 DHCP requests
>> --------------------------+---------------------------------
>>     Reporter:  mundy@…  |                Owner:  nkukich@…
>>         Type:  defect   |               Status:  assigned
>>     Priority:  tbd      |            Milestone:  ietf-91
>>    Component:  network  |           Resolution:
>>     Keywords:           |  My Current Location:
>> My MAC  Address:          |                My OS:
>> --------------------------+---------------------------------
>> 
>> Comment (by csch@…):
>> 
>> Hi there ...
>> 
>> what is the IPv6 address you get assigned? And while we're at it: What's
>> your MAC address?
>> 
>> --
>> Ticket URL: <https://tickets.meeting.ietf.org/ticket/879#comment:2>
>> IETF Meeting/NOC <https://tickets.meeting.ietf.org>
>> IETF Meeting - NOC pages
> 
> LittleAir:bin mundy$ ifconfig
> lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> mtu 16384
>         options=3<RXCSUM,TXCSUM>
>         inet6 fe80::1%lo0 prefixlen 64 scopeid 0x1
>         inet 127.0.0.1 netmask 0xff000000
>         inet6 ::1 prefixlen 128
>         inet 127.94.0.2 netmask 0xff000000
>         inet 127.94.0.1 netmask 0xff000000
> gif0: flags=8010<POINTOPOINT,MULTICAST> mtu 1280
> stf0: flags=0<> mtu 1280
> en0: flags=8823<UP,BROADCAST,SMART,SIMPLEX,MULTICAST> mtu 1500
>         ether 94:94:26:04:f8:8a
>         media: autoselect (<unknown type>)
>         status: inactive
> p2p0: flags=8802<BROADCAST,SIMPLEX,MULTICAST> mtu 2304
>         ether 06:94:26:04:f8:8a
>         media: autoselect
>         status: inactive
> en1: flags=8863<UP,BROADCAST,SMART,RUNNING,SIMPLEX,MULTICAST> mtu 1500
>         options=4<VLAN_MTU>
>         ether 20:9a:dd:41:13:94
>         inet6 fe80::229a:ddff:fe41:1394%en1 prefixlen 64 scopeid 0x6
>         inet6 2001:67c:370:144:229a:ddff:fe41:1394 prefixlen 64 autoconf
>         inet6 2001:67c:370:144:90d5:5096:60e2:888a prefixlen 64 autoconf
> temporary
>         inet 169.254.66.56 netmask 0xffff0000 broadcast 169.254.255.255
>         media: autoselect (100baseTX <full-duplex,flow-control>)
>         status: active
> LittleAir:bin mundy$
> 
> --------------------
> 
> 
> 
> }}}
> 
> --
> Ticket URL: <https://tickets.meeting.ietf.org/ticket/879#comment:4>
> IETF Meeting/NOC <https://tickets.meeting.ietf.org>
> IETF Meeting - NOC pages

comment:6 Changed 3 years ago by Clemens Schrimpe

Thanks for the update, Russ, we'll look into it.

comment:7 Changed 3 years ago by Clemens Schrimpe

Owner: changed from Clemens Schrimpe to jim@…
Status: acceptedassigned

comment:8 in reply to:  5 Changed 3 years ago by jim@…

Replying to mundy@…:

It looks like there is some sort of problem between my laptop and the V4 DHCP server since I connected my Airport Express to the wired net and it works just fine.

I did a bit more experimenting after the Airport Express came up properly and moved the ethernet wire back to the MBA to see if it got a DHCP assignment - it did not.  I then reconnected the Airport Express and DHCP assignment continued to work fine.  I made a copy of the ip, net mask & gateway from the Express, moved the cable back to the MBA and manually entered ip, etc. into the MBA.  With the manual configuration of the MBA, I was able to pass traffic just fine.  Thus, I concluded that there is some sort of problem between the V4 DHCP server & my MBA.

I'm fine with closing the ticket but wanted to let you know what I'd found.

Russ,

Thanks for this. Does your MBA get addresses ok on the normal IETF networks in the meeting area? It's the same DHCP server doing all the networks? I'll dig through logs to see what the DHCP server believes it's doing...

  • Jim

comment:9 Changed 3 years ago by jim@…

Err ... the "it's the DHCP server on all the networks" was supposed to be declarative, not a question. Sorry.

  • Jim

comment:10 Changed 3 years ago by mundy@…

On Nov 11, 2014, at 10:11 AM, "IETF Meeting/NOC" <tickets@meeting.ietf.org> wrote:

> #879: Wired net in Tapa Tower not responding to V4 DHCP requests
> --------------------------+--------------------------------
>      Reporter:  mundy@…  |                Owner:  jim@…
>          Type:  defect   |               Status:  assigned
>      Priority:  tbd      |            Milestone:  ietf-91
>     Component:  network  |           Resolution:
>      Keywords:           |  My Current Location:
> My MAC  Address:          |                My OS:
> --------------------------+--------------------------------
> 
> Comment (by jim@…):
> 
> Replying to [comment:5 mundy@…]:
>> {{{
>> It looks like there is some sort of problem between my laptop and the V4
> DHCP server since I connected my Airport Express to the wired net and it
> works just fine.
>> 
>> I did a bit more experimenting after the Airport Express came up
> properly and moved the ethernet wire back to the MBA to see if it got a
> DHCP assignment - it did not.  I then reconnected the Airport Express and
> DHCP assignment continued to work fine.  I made a copy of the ip, net mask
> & gateway from the Express, moved the cable back to the MBA and manually
> entered ip, etc. into the MBA.  With the manual configuration of the MBA,
> I was able to pass traffic just fine.  Thus, I concluded that there is
> some sort of problem between the V4 DHCP server & my MBA.
>> 
>> I'm fine with closing the ticket but wanted to let you know what I'd
> found.
> 
> Russ,
>     Thanks for this. Does your MBA get addresses ok on the normal IETF
> networks in the meeting area? It's the same DHCP server doing all the
> networks? I'll dig through logs to see what the DHCP server believes it's
> doing…

My MBA gets it's DHCP address fine in the meeting area and on the hotel-ietf wireless net - the only place I've had trouble is on the hotel wired net.  I'll be back in the meeting area later today and will try to get to the terminal room to see if I get the same results there from the wired net.

Russ

> 
>     - Jim
> 
> --
> Ticket URL: <https://tickets.meeting.ietf.org/ticket/879#comment:8>
> IETF Meeting/NOC <https://tickets.meeting.ietf.org>
> IETF Meeting - NOC pages

comment:11 Changed 3 years ago by jim@…

Russ,

I absolutely mean no offense by asking this, but are you certain DHCP is enabled on your wired interface? We've run across a lot of engineers that have set it statically and forgot. I mostly ask because no one else has reported the failure you're describing. Testing in the Terminal Room would definitely help as well. Alternatively come by the NOC (Nautilus) and we can test with you.

  • Jim

comment:12 Changed 3 years ago by mundy@…

On Nov 11, 2014, at 2:02 PM, IETF Meeting/NOC <tickets@meeting.ietf.org> wrote:

> #879: Wired net in Tapa Tower not responding to V4 DHCP requests
> --------------------------+--------------------------------
>      Reporter:  mundy@…  |                Owner:  jim@…
>          Type:  defect   |               Status:  assigned
>      Priority:  tbd      |            Milestone:  ietf-91
>     Component:  network  |           Resolution:
>      Keywords:           |  My Current Location:
> My MAC  Address:          |                My OS:
> --------------------------+--------------------------------
> 
> Comment (by jim@…):
> 
> Russ,
>    I absolutely mean no offense by asking this, but are you certain DHCP
> is enabled on your wired interface? We've run across a lot of engineers
> that have set it statically and forgot. I mostly ask because no one else
> has reported the failure you're describing.  Testing in the Terminal Room
> would definitely help as well. Alternatively come by the NOC (Nautilus)
> and we can test with you.

No offense taken at all - I'm a firm believer in checking the simplest things first.  Since the problems appear only when I'm asking for a dhcp address, I also checked with a static configuration that I lifted from my Airport Express - which did come up properly with DHCP - I moved the ethernet wire from the Express to the MBA, configured the IP, net mask & gateway manually on the MBA which then worked just fine with that configuration.  After this, I changed the interface configuration to DHCP with a static IP - using the IP that worked previously - and none of the DHCP fields were assigned in this configuration.  All of these configuration settings were done with the System Preferences > Networks panel.

I also looked at some of the net traffic with tcpdump and it looks as though the DHCP request is issued and responded to by the server but is not accepted by the MBA.  Since I've been spoiled by Wireshark so I'm not sure that I've parsed the tcpdump correctly but that's how it looks to me.

I'll stop by the hoc after dnsop 

Russ

> 
>    - Jim
> 
> --
> Ticket URL: <https://tickets.meeting.ietf.org/ticket/879#comment:11>
> IETF Meeting/NOC <https://tickets.meeting.ietf.org>
> IETF Meeting - NOC pages

comment:13 Changed 3 years ago by gmundy101@…

On Nov 11, 2014, at 4:01 PM, IETF Meeting/NOC <tickets@meeting.ietf.org> wrote:

> #879: Wired net in Tapa Tower not responding to V4 DHCP requests
> --------------------------+--------------------------------
>      Reporter:  mundy@…  |                Owner:  jim@…
>          Type:  defect   |               Status:  assigned
>      Priority:  tbd      |            Milestone:  ietf-91
>     Component:  network  |           Resolution:
>      Keywords:           |  My Current Location:
> My MAC  Address:          |                My OS:
> --------------------------+--------------------------------
> 
> Comment (by mundy@…):
> 
> {{{
> 

Okay, I'm getting closer WRT the problem characteristics:

Since this is a MBA, it does not have an actual ethernet interface, rather I can use either a USB or Thunderbolt dongle to provide the ethernet connection - most of my testing has been with the USB dongle but the T'bolt dongle seems to show the same characteristics.

I normally connect the ethernet cable to the dongle before connecting to the USB (or T'bolt) dongle then plug the dongle in to the interface - this sequence results in the DHCP assignment problem.  If I connect the dongle to the USB (or T'bolt) to the MBA prior to connecting the ethernet wire to the dongle then connect the ethernet wire, the DHCP works just fine.

As you might have guessed, I've not seen the connection sequence be a problem before and it doesn't seem to matter with the hotel network.

BTW, thanks for using the second jack for the IETF connection, it's very useful to have two ethernet connections especially for this type of testing.

I do have a tcpdump -v data set for the different connection sequences if that info would be helpful.

I'll try to stop by the NOC tomorrow.


Russ


comment:14 Changed 3 years ago by jim@…

Resolution: not broken
Status: assignedclosed

Russ,

So this is a connection sequence issue? If so, while I'm very curious for academic reasons, it seems to have shifted out of the realm of operational issues. If you could swing by, it would be great to understand it better, but for now, I'm going to close out the ticket.

Thanks for all your work on this!

Resolving.

  • Jim

comment:15 Changed 3 years ago by mundy@…

Resolution: not broken
Status: closedreopened
On Nov 12, 2014, at 10:37 AM, IETF Meeting/NOC <tickets@meeting.ietf.org> wrote:

> #879: Wired net in Tapa Tower not responding to V4 DHCP requests
> --------------------------+----------------------------------
>      Reporter:  mundy@…  |                Owner:  jim@…
>          Type:  defect   |               Status:  closed
>      Priority:  tbd      |            Milestone:  ietf-91
>     Component:  network  |           Resolution:  not broken
>      Keywords:           |  My Current Location:
> My MAC  Address:          |                My OS:
> --------------------------+----------------------------------
> Changes (by jim@…):
> 
> * status:  assigned => closed
> * resolution:   => not broken
> 
> 
> Comment:
> 
> Russ,
>     So this is a connection sequence issue? If so, while I'm very curious
> for academic reasons, it seems to have shifted out of the realm of
> operational issues. If you could swing by, it would be great to understand
> it better, but for now, I'm going to close out the ticket.

I agree - I'll try to stop by this afternoon and demonstrate, hopefully it will work the same there :-)

> 
>    Thanks for all your work on this!

You're certainly welcome & thanks for your help & persistence 

Russ

> 
>    Resolving.
> 
>     - Jim
> 
> --
> Ticket URL: <https://tickets.meeting.ietf.org/ticket/879#comment:14>
> IETF Meeting/NOC <https://tickets.meeting.ietf.org>
> IETF Meeting - NOC pages

comment:16 Changed 3 years ago by jim@…

Resolution: not broken
Status: reopenedclosed

Thanks!

Re-resolving.

  • Jim

comment:17 Changed 5 weeks ago by Rick Alfvin

Milestone: ietf-91ietf-091

Milestone renamed

Note: See TracTickets for help on using tickets.